begin;
attach database 'baseball-raw.db' as 'raw';
create table if not exists "allstars" (
	"player"	text,
	"year"	text,
	"gameNum"	text,
	"team"	text,
	"GP"	numeric,
	"gameID"	text
);

insert into allstars
select distinct playerid, yearid, gamenum, teamid, gp, gameid
from "raw".allstarfull;

-- fix game numbers for 1962 all-star games
update allstars
set gamenum = 1
where gameid = 'ALS196207100';

update allstars
set gamenum = 2
where gameid = 'NLS196207300';

alter table allstars drop column "gameid";

-- correct team codes for whole seasons
update allstars
set team = 'ANA'
where year between 1997 and 2004 and team = 'LAA';

update allstars
set team = 'ML4'
where year between 1970 and 1997 and team = 'MIL';

update allstars
set team = 'ML1'
where year between 1953 and 1965 and team = 'MLN';

-- correct team codes for one-off errors
update allstars
set team = 'NYA'
where player = 'chapmbe01' and year = 1933;

update allstars
set team = 'ATL'
where player = 'contrwi02' and year = 2022;
end;
